import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { useDataMap } from './useDataMap';
import { useDataNuclear } from './useDataNuclear';
import { Marks } from './Marks';
import { scaleLinear, extent } from 'd3';

const width = 960;
const height = 500;

const App = () => {
  const mapData = useDataMap();
  const nuclearData = useDataNuclear();
  
  if (!mapData) {
    return <pre>Loading...</pre>;
  }
  
  if (!nuclearData) {
    return <pre>Loading...</pre>;
  }
  
  const longitude = d => d.longitude;
  const latitude = d => d.latitude;
  const name = d => d.name;

  return (
		<svg width={width} height={height}>
      <Marks 
        mapData={mapData}
        nuclearData={nuclearData}
        longitude={longitude} 
        latitude={latitude} 
        name={name}/>
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
